<mat-expansion-panel>
  <mat-expansion-panel-header>
    <mat-panel-title>
      <a (click)="service.status === 'UP' ? open(service._links.self.href, service.name) : null"
         class="link"
      >
        {{service.name}}
      </a>
    </mat-panel-title>

    <span [class.is-down]="service.status === 'DOWN'"
          [class.is-up]="service.status === 'UP'"
          class="status"
    >{{service.status}}</span>

  </mat-expansion-panel-header>

  <ul class="resource">
    <li *ngFor="let resource of getResources()">
      <a (click)="open(resource.href, service.name, getResourceName(resource.href))"
         class="link"
      >{{getResourceName(resource.href)}}</a>
    </li>
  </ul>
</mat-expansion-panel>
